Arch IfcSpreadsheet: Difference between revisions

From FreeCAD Documentation
m (docnav)
m (Roy 043 moved page Arch MakeIfcSpreadsheet to Arch IfcSpreadsheet without leaving a redirect: Part of translatable page "Arch MakeIfcSpreadsheet")
(16 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
<translate>
<translate>
<!--T:3-->
{{docnav|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Module|Arch]]}}
{{Docnav
|[[Arch_3Views|3 Views from mesh]]
|[[Arch_ToggleSubs|Toggle Subcomponents]]
|[[Arch_Module|Arch]]
|IconL=Arch_3Views.svg
|IconR=Arch_ToggleSubs.svg
|IconC=Workbench_Arch.svg
}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Arch MakeIfcSpreadsheet
|Name=Arch IfcSpreadsheet
|MenuLocation=Arch → Utilities → Create IFC spreadsheet
|MenuLocation=Arch → Utilities → Create IFC spreadsheet
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch_Module|Arch]]
|Shortcut=I P
|Shortcut={{KEY|I}} {{KEY|P}}
|SeeAlso=[[Arch IFC]], [[Arch IfcExplorer]]
|SeeAlso=[[Arch_IFC|Arch IFC]], [[Arch_IfcExplorer|Arch IfcExplorer]]
|Icon=Arch_Schedule.svg
}}
}}


== Description ==
== Description == <!--T:4-->
This tool creates a spreadsheet to store IFC properties of an object.


<!--T:15-->
== How to use ==
This tool creates a spreadsheet to store [[Arch_IFC|IFC]] properties of an object.

==Usage== <!--T:5-->

<!--T:16-->
# Select an object.
# Select an object.
# Invoke the command using several methods:
# Go to {{MenuCommand|Arch → Utilities → [[Image:Arch_Schedule.svg|16px]] Create IFC spreadsheet}}.
#* Pressing the {{Button|[[Image:Arch_IfcSpreadsheet.svg|16px]] Create IFC spreadsheet}} button on the toolbar.
#* Using the {{KEY|I}} then {{KEY|P}} keyboard shortcut.
#* Using the {{MenuCommand|Arch → Utilities → [[Image:Arch_IfcSpreadsheet.svg|16px]] Create IFC spreadsheet}} entry from the top menu.


== Scripting ==
== Scripting == <!--T:6-->
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


<!--T:7-->
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
Line 31: Line 45:
<translate>
<translate>


<!--T:8-->
* Creates a {{incode|spreadsheet}} object. Optionally an {{incode|archobj}} can be given.
* Creates a {{incode|spreadsheet}} object. Optionally an {{incode|archobj}} can be given.


<!--T:9-->
Example:
Example:
</translate>
{{Code|code=
{{Code|code=
import FreeCAD, Draft, Arch
import FreeCAD, Draft, Arch
Line 42: Line 59:


spreadsheet = Arch.makeIfcSpreadsheet(Wall)
spreadsheet = Arch.makeIfcSpreadsheet(Wall)
}}
<translate>
<!--T:12-->
{{Docnav
|[[Arch_3Views|3 Views from mesh]]
|[[Arch_ToggleSubs|Toggle Subcomponents]]
|[[Arch_Module|Arch]]
|IconL=Arch_3Views.svg
|IconR=Arch_ToggleSubs.svg
|IconC=Workbench_Arch.svg
}}
}}


{{docnav|[[Arch_3Views|3 Views from mesh]]|[[Arch_ToggleSubs|Toggle Subcomponents]]|[[Arch_Module|Arch]]}}

<!--T:2-->
{{Arch Tools navi}}
{{Userdocnavi}}
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

Revision as of 20:25, 9 December 2020

Arch IfcSpreadsheet

Menu location
Arch → Utilities → Create IFC spreadsheet
Workbenches
Arch
Default shortcut
I P
Introduced in version
-
See also
Arch IFC, Arch IfcExplorer

Description

This tool creates a spreadsheet to store IFC properties of an object.

Usage

  1. Select an object.
  2. Invoke the command using several methods:
    • Pressing the Create IFC spreadsheet button on the toolbar.
    • Using the I then P keyboard shortcut.
    • Using the Arch → Utilities → Create IFC spreadsheet entry from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

spreadsheet = makeIfcSpreadsheet(archobj=None)
  • Creates a spreadsheet object. Optionally an archobj can be given.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

spreadsheet = Arch.makeIfcSpreadsheet(Wall)